Name:          saxon9
Version:       9.1.0.7
Release:       %mkrel 1
Summary:       Saxon XSLT and XQuery Processor
Group:         Development/Java
License:       MPL
Url:           http://saxon.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/saxon/Saxon-B/9.1.0.7/saxonb9-1-0-7source.zip
Source1:       saxon9-services.tar.gz
Source2:       saxon9.build.script
Patch0:        saxon9.1.0.7-Configuration.patch
BuildRequires: ant
BuildRequires: bea-stax
BuildRequires: bea-stax-api
BuildRequires: dom4j
BuildRequires: fop
BuildRequires: fop-javadoc
BuildRequires: jdom
BuildRequires: jdom-javadoc
BuildRequires: java
BuildRequires: java-javadoc
BuildRequires: jpackage-utils
BuildRequires: xml-commons-apis
BuildRequires: xom
BuildRequires: xqjapi
Requires:      bea-stax
Requires:      bea-stax-api
Requires:      dom4j
Requires:      jdom
Requires:      jpackage-utils
Requires:      xml-commons-apis
BuildArch:     noarch

%description
The Saxon XSLT and XQuery processor, developed by Michael Kay 
The SAXON package is a collection of tools for processing XML documents.
The main components are:
- An XSLT processor, which implements the Version 1.0 XSLT and XPath
  Recommendations from the World Wide Web Consortium, found at
  http://www.w3.org/TR/1999/REC-xslt-19991116 and
  http://www.w3.org/TR/1999/REC-xpath-19991116 with a number of powerful
  extensions. This version of Saxon also includes many of the new features
  defined in the XSLT 1.1 working draft, but for conformance and portability
  reasons these are not available if the stylesheet header specifies
  version="1.0".
- A Java library, which supports a similar processing model to XSL, but allows
  full programming capability, which you need if you want to perform complex
  processing of the data or to access external services such as a relational
  database.
So you can use SAXON with any SAX-compliant XML parser by writing XSLT
stylesheets, by writing Java applications, or by any combination of the two.

%package dom
Group:         Development/Java
Summary:       DOM support for %{name}
Requires:      %{name} = %{version}-%{release}

%description dom
The SAXON package is a collection of tools for processing XML documents.

Provides additional classes enabling Saxon to be used with
the DOM Document Object Model. Supports using a DOM as the
input or output of transformations and queries, and calling
extension functions that use DOM interfaces to access a
Saxon tree structure. Requires DOM level 3 (dom.jar, part
of JAXP 1.3) to be on the classpath, if not running under
JDK 1.5.

%package jdom
Group:         Development/Java
Summary:       JDOM support for %{name}
Requires:      jdom
Requires:      %{name} = %{version}-%{release}

%description jdom
The SAXON package is a collection of tools for processing XML documents.

This package contains JDOM support for %{name}.

%package dom4j
Group:         Development/Java
Summary:       DOM4J support for %{name}
Requires:      jdom
Requires:      %{name} = %{version}-%{release}

%description dom4j
The SAXON package is a collection of tools for processing XML documents.

This package contains DOM4J support for %{name}.

%package sql
Group:         Development/Java
Summary:       SQL support for %{name}
Requires:      %{name} = %{version}-%{release}

%description sql
The SAXON package is a collection of tools for processing XML documents.

This package contains supports XSLT extensions for accessing and updating a
relational database from within a stylesheet.

%package s9api
Group:         Development/Java
Summary:       Java API for %{name}

%description s9api
The SAXON package is a collection of tools for processing XML documents.

This package provides a Java API for %{name}

%package xom
Group:         Development/Java
Summary:       XOM support for %{name}
Requires:      %{name} = %{version}-%{release}
Requires:      xom


%description xom
The SAXON package is a collection of tools for processing XML documents.

Provides additional classes enabling Saxon to be used with 
XOM trees. Supports using a XOM document as the input or 
output of transformations and queries. Requires xom.jar on 
the classpath. 

%package xpath
Group:         Development/Java
Summary:       XPATH support for %{name}
Requires:      %{name} = %{version}-%{release}

%description xpath
The SAXON package is a collection of tools for processing XML documents.

Provides support for the JAXP 1.3 XPath API. Requires the 
JAXP 1.3 version of jaxp-api.jar on the classpath, if not 
running under JDK 1.5. 

%package xqj
Group:         Development/Java
Summary:       XQUERY support for %{name}
Requires:      %{name} = %{version}-%{release}
Requires:      xqjapi

%description xqj
The SAXON package is a collection of tools for processing XML documents.

This package contains XQUERY support for %{name}.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jdom-javadoc

%description javadoc
The SAXON package is a collection of tools for processing XML documents.

This package contains javadoc for %{name}

%prep
%setup -q -c -n saxon9-%{version} -a1

for j in $(find -name "*.jar"); do
  	mv $j  $j.no
done

for j in $(find -name "*.class"); do
  	rm -rf $j
done

rm -rf docs/api

find -name "*.exe" -exec rm -rf {} \;

for j in $(find -name ".svn"); do
  	rm -rf $j
done

cp -p %{SOURCE2} ./build.xml

# require for .NET compilation: IKVM
rm -rf bj/net/sf/saxon/dotnet
rm -rf net/sf/saxon/dotnet

mkdir -p build/classes
cp -pr net src/

%patch0 -p0

%build
export JAVA_HOME=%{_jvmdir}/java
export CLASSPATH=$(build-classpath xml-commons-apis xom fop jdom dom4j bea-stax-ri bea-stax-api xqjapi):build/classes
ant \
  -Dj2se.javadoc=%{_javadocdir}/java-1.5.0-gcj \
  -Djdom.javadoc=%{_javadocdir}/jdom \
  -Dfop.javadoc=%{_javadocdir}/fop
  
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 build/lib/saxon9-dom4j.jar \
  %{buildroot}%{_javadir}/saxon9-dom4j-%{version}.jar
install -m 644 build/lib/saxon9-dom.jar \
  %{buildroot}%{_javadir}/saxon9-dom-%{version}.jar
install -m 644 build/lib/saxon9-jdom.jar \
  %{buildroot}%{_javadir}/saxon9-jdom-%{version}.jar
install -m 644 build/lib/saxon9-s9api.jar \
  %{buildroot}%{_javadir}/saxon9-s9api-%{version}.jar
install -m 644 build/lib/saxon9-sql.jar \
  %{buildroot}%{_javadir}/saxon9-sql-%{version}.jar
install -m 644 build/lib/saxon9-xom.jar \
  %{buildroot}%{_javadir}/saxon9-xom-%{version}.jar
install -m 644 build/lib/saxon9-xqj.jar \
  %{buildroot}%{_javadir}/saxon9-xqj-%{version}.jar
install -m 644 build/lib/saxon9-xpath.jar \
  %{buildroot}%{_javadir}/saxon9-xpath-%{version}.jar
install -m 644 build/lib/saxon9.jar \
  %{buildroot}%{_javadir}/saxon9-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/saxon9-%{version}
cp -pr build/api/* %{buildroot}%{_javadocdir}/saxon9-%{version}
ln -sf saxon9-%{version} %{buildroot}%{_javadocdir}/saxon9

%files
%{_javadir}/saxon9-%{version}.jar
%{_javadir}/saxon9.jar

%files dom
%{_javadir}/saxon9-dom-%{version}.jar
%{_javadir}/saxon9-dom.jar

%files dom4j
%{_javadir}/saxon9-dom4j-%{version}.jar
%{_javadir}/saxon9-dom4j.jar

%files jdom
%{_javadir}/saxon9-jdom-%{version}.jar
%{_javadir}/saxon9-jdom.jar

%files s9api
%{_javadir}/saxon9-s9api-%{version}.jar
%{_javadir}/saxon9-s9api.jar

%files sql
%{_javadir}/saxon9-sql-%{version}.jar
%{_javadir}/saxon9-sql.jar

%files xom
%{_javadir}/saxon9-xom-%{version}.jar
%{_javadir}/saxon9-xom.jar

%files xpath
%{_javadir}/saxon9-xpath-%{version}.jar
%{_javadir}/saxon9-xpath.jar

%files xqj
%{_javadir}/saxon9-xqj-%{version}.jar
%{_javadir}/saxon9-xqj.jar

%files javadoc
%{_javadocdir}/saxon9-%{version}
%{_javadocdir}/saxon9



%changelog
* Sun Aug 14 2011 dmorgan <dmorgan> 9.1.0.7-1.mga2
+ Revision: 133041
- Build with java6
- Clean spec file

  + gil <gil>
    - imported package saxon9


* Sat Jul 09 2011 gil <gil> 9.1.0.7-0.%%mkrel
- initial rpm
